procedure boxgrid (inimage, outimage)

string inimage
string outimage
int nx
int ny
int minx
int maxx
int miny
int maxy
int sizex
int sizey

begin

string in,out
string src,dst

int ix,iy
int cenx,ceny
int inminx,inminy,inmaxx, inmaxy
int outminx, outminy, outmaxx, outmaxy
	
in=inimage
out=outimage

imcopy ( in // "[1:" // sizex*nx // ",1:" // sizey*ny // "]" , out )

for (ix=0; ix<nx; ix+=1) {
    for (iy=0; iy<ny; iy+=1) {

	cenx = minx + sizex/2 + ix * (maxx-minx-sizex) / (nx - 1)	
	ceny = miny + sizey/2 + iy * (maxy-miny-sizey) / (ny - 1)

	inminx = cenx - sizex/2
        inmaxx = inminx + sizex - 1
	inminy = ceny - sizey/2
        inmaxy = inminy + sizey - 1

	outminx = ix * sizex + 1
	outmaxx = outminx + sizex - 1
	outminy = iy * sizey + 1
	outmaxy = outminy + sizey - 1

        src = in // "[" // inminx  // ":" // inmaxx  // "," // inminy  // ":" // inmaxy  // "]"
        dst = out// "[" // outminx // ":" // outmaxx // "," // outminy // ":" // outmaxy // "]"

	imcopy(src,dst)
    }

}

end
