procedure shutcorr ( images ) 
string images
string corrfile { "megacam$shut20050605.fits" }
bool   verbose { "no" }

begin
string filelist
string t
string inim

set clobber=yes

filelist=mktemp("tmp$")
files (images,>>filelist)

t=mktemp("shutcorr")

list=filelist
while (fscan(list,inim) != EOF) {
    keypar(inim//"[1]","SHUTCORR",silent+)
    if (!keypar.found) {
        msccmd("imexpr \"a/(1+b/a.exptime)\" $output a=$input b=$in2 rangecheck- verbose="//verbose, 
                input=inim, output=t, in2=corrfile, prompt="", extname="", 
                alist-, flist-, verbose=verbose, exec+ )
        msccmd("hedit $input SHUTCORR " // corrfile //" add+ delete- update+ verif- show="//verbose,
                input=t, prompt="", extname="", 
                alist-, flist-, verbose=verbose, exec+ )
        rename(t//".fits",inim,field="all")
    } else {
	print (inim,": shutcorr already done using ", keypar.value, " --- Skipping.")
    }
}

delete(filelist,verify-)

end
